library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity BCDHEX is
       port(X: in  std_logic_vector(3 downto 0);
	        Y: out std_logic_vector(0 to 6));
end BCDHEX;

architecture VERHALTEN of BCDHEX is
begin
	with X select --Auswahl 
        -- 7 SegmentCode: BCD Code:
        -- Y(0)..Y(6)     X(3)..X(0)
		--  abcdefg 
        Y<="1111110" when "0000", --0
		   "0110000" when "0001", --1
           "1101101" when "0010", --2
           "1111001" when "0011", --3
		   "0110011" when "0100", --4
           "1011011" when "0101", --5
           "1011111" when "0110", --6
		   "1110000" when "0111", --7
           "1111111" when "1000", --8
		   "1111011" when "1001", --9		
		   "0000001" when "1010", --10 - 
           "0000001" when "1011", --11 - 
           "0000001" when "1100", --12 - 
           "0000001" when "1101", --13 - 
           "0000001" when "1110", --14 - 
           "0000001" when "1111"; --15 -  

end VERHALTEN;